Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class EMailSendQueueParameters
    Inherits BaseObject
    Private _ShortName As String
    Private _NumberGenerator As NumberGenerator
    Private _HTMLBody As String 'Alapértelmezett HTML body
    Private _Subject As String 'Alapértelmezett tárgy mező {0},{1} formátumban
    Private _EMailFrom As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("EMailSendQueueParameters - ShortName ", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <RuleRequiredField("EMailSendQueueParameters - NumberGenerator ", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    <Size(-1)> _
    Property HTMLBody As String
        Get
            Return _HTMLBody
        End Get
        Set(value As String)
            SetPropertyValue("HTMLBody", _HTMLBody, value)
        End Set
    End Property
    <Size(255)> _
    Property Subject As String
        Get
            Return _Subject
        End Get
        Set(value As String)
            SetPropertyValue("Subject", _Subject, value)
        End Set
    End Property
    Property EMailFrom As String
        Get
            Return _EMailFrom
        End Get
        Set(value As String)
            SetPropertyValue("EMailFrom", _EMailFrom, value)
        End Set
    End Property
End Class
